Retrieve MCP server
import requests
url = "https://api.datagrid.com/v1/organization/mcp-servers/{server_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/mcp-servers/{server_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/mcp-servers/{server_id} \
--header 'Authorization: Bearer <token>'{
"object": "mcp_server",
"id": "<string>",
"name": "<string>",
"icon_url": "<string>",
"base_url": "<string>",
"transport": "<string>",
"protocol_version": "<string>",
"authorization_secret_id": "<string>",
"status": "<string>",
"metadata": {
"requires_oauth": true,
"oauth_configured": true,
"tool_count": 123,
"last_synced_at": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"managed_by_app": {
"app_uuid": "<string>",
"app_name": "<string>"
}
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}MCP Servers - Beta
Retrieve MCP server
Retrieve a registered MCP server.
GET
/
organization
/
mcp-servers
/
{server_id}
Retrieve MCP server
import requests
url = "https://api.datagrid.com/v1/organization/mcp-servers/{server_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/organization/mcp-servers/{server_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/organization/mcp-servers/{server_id} \
--header 'Authorization: Bearer <token>'{
"object": "mcp_server",
"id": "<string>",
"name": "<string>",
"icon_url": "<string>",
"base_url": "<string>",
"transport": "<string>",
"protocol_version": "<string>",
"authorization_secret_id": "<string>",
"status": "<string>",
"metadata": {
"requires_oauth": true,
"oauth_configured": true,
"tool_count": 123,
"last_synced_at": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"managed_by_app": {
"app_uuid": "<string>",
"app_name": "<string>"
}
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Returns one registered MCP server configuration and metadata.
Use this to inspect:
- current
base_url - status and sync metadata
- configured
authorization_secret_id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the MCP server.
Response
MCP server
Available options:
mcp_server Secret ID containing the full Authorization header value used for this registered MCP server.
Safe subset of server metadata exposed to API consumers.
Show child attributes
Show child attributes
Present when the MCP server is provisioned and managed by an installed app. Managed servers are read-only through this API.
Show child attributes
Show child attributes